Update a host
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from /settings/api-keys in the Jellypod studio. Send as Authorization: Bearer <key>.
In: header
Path Parameters
host_id*string
8-character hex host id (e.g. 2e6939fe).
Match
^[0-9a-f]{8}$/iTypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://api.jellypod.com/v1/hosts/2e6939fe" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "2e6939fe",
"name": "string",
"title": "string",
"backstory": "string",
"personality": "string",
"voice_id": 0,
"voice_model": "string",
"voice": {
"id": 0,
"description": "string",
"language": "en",
"gender": "male",
"accent": "string",
"voice_type": "professional"
},
"created_at": "string",
"updated_at": "string"
}
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}Was this page helpful?